<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
>
<head>
    <title>EmergencyApplication</title>
    <link rel="stylesheet" type="text/css" th:href="@{/style.css}"/>
</head>
<body>
<div id="wrapper">
    <div th:replace="fragments/menu :: menu"></div>
    <div style="text-align: center; height: 500px">
        <h1>Dodaj zgłoszenie:</h1></br></br>
        <form action="#" th:action="@{/addRescueAction}" th:object="${rescueActionDTO}" method="post">
            <div style="width: 40%; float: left">
                <label>Typ zgłoszenia:</label>
                <select th:field="*{actionType}">
                    <option th:each="type: ${actionTypes}"
                            th:value="${type}"
                            th:text="${type}"></option>
                </select></br></br>


                </br><label>Ilość poszkodowanych:</label>
                <select th:field="*{numberOfVictims}">
                    <option th:each="i : ${#numbers.sequence(0, 10)}" th:value="${i}" th:text="${i}">
                    </option>
                </select></br></br>

                </br><label>Opis obrażeń:</label></br>
                </br><textarea style="width: 60%" th:field="*{injuries}"></textarea></br></br>

                </br><label>Adres:</label></br></br>
                <input style="width: 60%" th:type="text" th:field="*{address}" name="adres"></br></br>
            </div>
            <div style="width: 40%; border-style: none; float: right; padding-left: 50px; text-align: left">
                <center><label>Zespoły ratownicze:</label></br></br></center>
                <th:block th:each="team:${rescueTeams}">
                    <input type="checkbox" id="rescueTeamList" name="rescueTeamList"
                           th:field="*{rescueTeamList}" th:text="${team.getId()}+' '+${team.getStatus()}"
                           th:value="${team.getId()}"/></br>
                
                </th:block>

                </br><input style="text-align: center" type="submit" value="utwórz zgłoszenie"></br>
            </div>


        </form>
    </div>

    <div th:replace="fragments/footer :: footer"></div>

</div>

</body>
</html>